package com.sunwin.swismp.config.log;


import ch.qos.logback.classic.pattern.ClassicConverter;
import ch.qos.logback.classic.spi.ILoggingEvent;
import com.alibaba.dubbo.rpc.RpcContext;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * @author fengyong
 * @date 2020/1/21
 * @description
 */
public class LogIpConfig extends ClassicConverter {
    @Override
    public String convert(ILoggingEvent event) {
        String webIP=null;
        try {
            RpcContext context=RpcContext.getContext();
            webIP = RpcContext.getContext().getRemoteAddressString();
            if (webIP==null || webIP.equals("null") || webIP.equals("null:0")){
                webIP = InetAddress.getLocalHost().getHostAddress();
            }else {
                webIP=webIP.split(":")[0];
            }

        } catch (UnknownHostException e) {
            System.out.println("获取日志Ip异常");
        }
        return webIP;
    }
}
