package com.sunwin.swismp.config.log;

import ch.qos.logback.classic.pattern.ClassicConverter;
import ch.qos.logback.classic.spi.ILoggingEvent;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * yangdong
 * 将日志信息里的换行去除
 */
public class LogMesConfig extends ClassicConverter {
    @Override
    public String convert(ILoggingEvent event) {
        String message=event.getMessage();
        message=removeLineBreak(message);
        return message;
    }
    public static String removeLineBreak(String message){
        Pattern pattern = Pattern.compile("\\s|\t|\r|\n",Pattern.DOTALL);
        Matcher matcher = pattern.matcher(message);
        String str = matcher.replaceAll(" ");

        return str;
    }

}
