package com.sunwin.swismp.exception;

/**
 * <br>
 * Copyright (c) 12/27/2019 All Rights Reserved By SUNWIN<br>
 * <br>
 * Package: com.sunwin.swbd.exception <br>
 * FileName: JsonResult <br>
 * <br>
 * 用于封装json 返回结果数据
 *
 * @author duanmin
 * @created 12/27/2019-10:15 AM
 * @last Modified
 * @history
 */
public class JsonResult {
    protected int httpCode;
    protected String msg;

    public int getHttpCode() {
        return httpCode;
    }

    public void setHttpCode(int httpCode) {
        this.httpCode = httpCode;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    /**
     * 构造一个成功的结果返回
     */
    public JsonResult() {
        this.setHttpCode(0);
    }

    /**
     * 构造一个有异常信息的结果返回
     *
     * @param msg
     */
    public JsonResult(String msg) {
        this.setHttpCode(-1);
        this.setMsg(msg);
    }
}
