package com.sunwin.swismp.util;

import org.slf4j.Logger;

/**
 * <br>
 * Copyright (c) 1/8/2020 All Rights Reserved By SUNWIN<br>
 * <br>
 * Package: com.sunwin.swbd.utils <br>
 * FileName: LoggerMessageUtil <br>
 * <br>
 * 日志消息处理工具类
 *
 * @author duanmin
 * @created 2020/1/21-10:29 AM
 * @last Modified
 * @history
 */
public class LoggerMessageUtil {


    /**
     * 请求成功，日志打印
     *
     * @param logger
     * @param msg
     */
    public static void successfulMsg(Logger logger, String msg) {
        logger.info("成功|" + msg);
    }

    /**
     * 请求失败，日志打印
     *
     * @param logger
     * @param msg
     * @param e
     */
    public static void errorMsg(Logger logger, String msg, Exception e) {
        logger.error("失败|" + msg + " " + e.getMessage());
    }

    public static void errorMsg(Logger logger, String methodName, String msg, Exception e) {
        logger.error(methodName+"|"+"失败|" + msg + e.getMessage());
    }
}
