package com.sunwin.swismp.dao.sysfunction.mapper;

import com.sunwin.swismp.bean.sysfunction.SysOperationLog;
import com.sunwin.swismp.dto.sysfunction.SysOperationLogDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SysOperationLogMapper {
    /**
     * 插入操作日志
     * @param record
     * @return
     */
    int insert(SysOperationLog record);

    List<SysOperationLogDTO> querySysLogPage(@Param("operationModule") String moduleName,
                                             @Param("operationName") String operationName, @Param("roleId") String roleId,
                                             @Param("beginOperateTime") String beginOperateTime,
                                             @Param("endOperateTime") String endOperateTime,
                                             @Param("pageNum") Integer pageNum, @Param("pageSize") Integer pageSize);

    Long querySysLogPageCount(@Param("operationModule") String moduleName,
                              @Param("operationName") String operationName, @Param("roleId") String roleId,
                              @Param("beginOperateTime") String beginOperateTime,
                              @Param("endOperateTime") String endOperateTime);

}