package com.sunwin.swismp.dao.sysfunction.mapper;

import com.sunwin.swismp.dto.sysfunction.SysOrgDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Copyright (c) 12/20/2021 All Rights Reserved By SUNWIN
 * <p>
 * Package: com.sunwin.swismp.dao.sysfunction.mapper
 * FileName: SysOrgMapper
 *
 * @author duanmin
 * @description
 * @created 2/11/2022 - 5:26 PM
 * @last Modified
 * @history
 */
@Mapper
public interface SysOrgMapper {
    Integer enableSysOrg(@Param("sysOrgId") Integer sysOrgId, @Param("enabled") Integer enabled);

    Integer addSysOrg(SysOrgDTO sysOrgDTO);

    Integer delSysOrg(@Param("sysOrgId") Integer sysOrgId);

    Integer editSysOrg(SysOrgDTO sysOrgDTO);

    List<SysOrgDTO> querySysOrgPage(@Param("parentOrgId") String parentOrgId, @Param("orgUserNum") String orgUserNum,
                                    @Param("enabled") String enabled, @Param("keywords") String keywords,
                                    @Param("beginUpdateTime") String beginUpdateTime,
                                    @Param("endUpdateTime") String endUpdateTime, @Param("pageNum") Integer pageNum,
                                    @Param("pageSize") Integer pageSize);

    Long querySysOrgPageCount(@Param("parentOrgId") String parentOrgId, @Param("orgUserNum") String orgUserNum,
                              @Param("enabled") String enabled, @Param("keywords") String keywords,
                              @Param("beginUpdateTime") String beginUpdateTime,
                              @Param("endUpdateTime") String endUpdateTime);

    List<SysOrgDTO> querySysOrgTree();

    SysOrgDTO viewSysOrg(@Param("sysOrgId") String sysOrgId);

    List<SysOrgDTO> querySysOrgByParentAndName(@Param("parentOrgId") Integer parentOrgId, @Param("orgName") String orgName);
}
