package com.sunwin.swismp.dao.sysfunction.mapper;

import com.sunwin.swismp.bean.sysfunction.SysRoleMenu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SysRoleMenuMapper {
    /**
     * 根据角色id查询所有信息
     * @param roleId
     * @return
     */
    List<SysRoleMenu> selectByRoleIdMenuId(@Param("roleId") Integer roleId);
    /**
     * 批量插入
     * @param sysRoleMenus
     * @return
     */
    int batchInsert(List<SysRoleMenu> sysRoleMenus);
    /**
     * 通过角色id 删除
     * @param roleId
     * @return
     */
    int deleteByRoleId(Integer roleId);
}