package com.sunwin.swismp.dao.sysfunction.mapper;

import com.sunwin.swismp.dto.sysfunction.SysRoleMenuPermissions;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SysRoleMenuPermissionsMapper {
    /**
     * @Description : 查询全部的权限信息
     * @param roleId 根据id
     * @Return :
     * @Author : yangdong
     * @Date : 2020/2/28 15:12
     */
    List<SysRoleMenuPermissions> selectByRoleId(@Param(value = "roleId") Integer roleId);
    /**
     * @Description : 查询已有的权限信息
     * @param roleId 根据id
     * @Return :
     * @Author : yangdong
     * @Date : 2020/2/28 15:12
     */
    List<SysRoleMenuPermissions> selectByRoleIdSelf(@Param(value = "roleId") Integer roleId);
}
