package com.sunwin.swismp.dto.sysfunction;

import java.io.Serializable;

public class SysUserOrg implements Serializable {
    /** 管理员角色code */
    private static final String ADMIN_ROLE_CODE = "10001";
    private Integer userId;//用户id
    private Integer orgId;//部门id
    private String roleCode;//角色编号
    public Integer getUserId() {
        return userId;
    }

    /**
     * 判断是否管理员
     */
    public boolean isAdmin(){
        return ADMIN_ROLE_CODE.equals(this.roleCode);
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public SysUserOrg(Integer userId, Integer orgId, String roleId) {
        this.userId = userId;
        this.orgId = orgId;
        this.roleCode = roleId;
    }

    public SysUserOrg() {
    }
}
