package com.sunwin.swismp.constant;

public class HttpResponseParam {

    public static final int SUCCESS_CODE = 1; //请求成功

    public static final int FAIL_CODE = 0;//请求失败

    public static final int NO_DATA_CODE = 2;//查询无数据

    public static final int LOGIN_USERNAME_CODE = 2; //该账户不存在

    public static final int LOGIN_PASSWORD_CODE = 3; //密码错误

    public static final int LOGIN_ISENABLE_CODE = 4; //用户不可用

    public static final int NAME_EXISTED_CODE = 5;//用户名已存在

    public static final int NAME_PASSWD_ERROR_CODE = 6;//用户名或者密码错误

    public static final int ROLE_NAME_ERROR_CODE = 7;//角色名已存在

    public static final int ROLE_CODE_ERROR_CODE = 8;//角色代码已存在

    public static final int WORD_INSERT_DUPLICATTED_CODE = 9;//新增字段已存在

    public static final String WORD_INSERT_DUPLICATTED_MSG = "新增词语已存在";//新增词语已存在

    public static final int RULE_INSERT_DUPLICATTED_CODE = 10;//新增字段已存在

    public static final int SESSION_EXPIRE_CODE = 11; //会话已过期

    public static final String SESSION_EXPIRE_MSG = "会话已过期";//会话已过期提示

    public static final String RULE_INSERT_DUPLICATTED_MSG = "新增规则已存在";//新增规则已存在

    public static final String INSERT_DUPLICATTED_MSG = "记录已存在";//新增规则已存在

    public static final String INSERT_TARGET_DUPLICATTED_MSG = "同一设备类型设备指标名已存在";//同一设备类型设备指标名已存在

    public static final String INSERT_EQUIPMENT_TYPE_DUPLICATTED_MSG = "策略覆盖范围冲突，请确认策略范围";//

    public static final String NO_DATA_MSG = "暂无数据";

    public static final String LOGIN_USERNAME_MSG = "该账户不存在";

    public static final String LOGIN_PASSWORD_MSG = "密码错误";

    public static final String LOGIN_ISENABLE_MSG = "账户不可用";

    public static final String SUCCESS_MSG = "success";

    public static final String FAIL_MSG = "fail";

    public static final String SUCCESS_LOG_MSG = "登录成功";

    public static final String FAIL_FAIL_MSG = "登录失败";

    public static final String SUCCESS_INSERT_MSG = "添加成功";

    public static final String FAIL_INSERT_MSG = "添加失败";

    public static final String SUCCESS_UPDATE_MSG = "修改成功";

    public static final String FAIL_UPDATE_MSG = "修改失败";

    public static final int FAIL_UPDATE_DUPLICATTED_CODE = 14;
    public static final String FAIL_DATE_ERROR_MSG = "日期格式错误";
    public static final String FAIL_NODE_DUPLICATTED_MSG = "节点名称已存在";
    public static final String FAIL_TIME_REPEATED_MSG = "时间出现重合";
    public static final String FAIL_UPDATE_DUPLICATTED_MSG = "修改失败，该记录已存在";
    public static final String FAIL_UPDATE_EXPRWRONG_MSG = "修改失败，关系表达式不规范";
    public static final String FAIL_ADD_DUPLICATTED_MSG = "添加失败，该记录已存在";
    public static final String FAIL_ADD_EXPRWRONG_MSG = "添加失败，关系表达式不规范";
    public static final String FAIL_DELETE_EXIST_CHILDREN_MSG = "删除失败，该记录存在子节点，请先删除子节点";
    public static final String FAIL_DELETE_EXIST_QUOTE_MSG = "删除失败，该记录被引用，请先删除引用。";
    public static final String FAIL_DELETE_EXIST_RELATION_MSG = "删除的同时将解绑所有运营数据，且数据不可恢复，请慎重操作。";
    public static final String FAIL_DELETE_EXIST_STRATEGY_MSG = "删除失败，该指标被策略引用，请先删除策略配置";
    public static final String FAIL_DELETE_EXIST_USER_MSG = "删除失败，该角色已被用户绑定，请先删除用户";
    public static final String SUCCESS_DELETE_MSG = "删除成功";

    public static final String FAIL_DELETE_MSG = "删除失败";
    public static final String SUCCESS_CHANGE_MSG = "切换成功";

    public static final String FAIL_CHANGE_MSG = "切换失败";

    public static final String NAME_EXISTED_MSG = "用户名已存在";

    public static final String NAME_PASSWD_ERROR_MSG = "用户名或者密码错误";

    public static final String ROLE_NAME_ERROR_MSG = "角色名已存在";
    public static final String ROLE_NAME_CONFLICT_WITH_NAME_MSG = "与角色名冲突";
    public static final String ORG_NAME_CONFLICT_WITH_NAME_MSG = "与部门名冲突";
    public static final String USER_NAME_CONFLICT_WITH_NAME_MSG = "与用户名冲突";

    public static final String ROLE_CODE_ERROR_MSG = "角色代码已存在";
    public static final String INSERT_ROAD_DUPLICATED_MSG = "该路段已添加";
    public static final String INSERT_LINE_DUPLICATED_MSG = "该线路已存在";
    public static final String INSERT_STATION_DUPLICATED_MSG = "该站点已存在";
    public static final String INSERT_ROAD_MAX_MSG = "添加路段已达6个，不可添加";
    public static final int ORG_ISENABLE_CODE = 12;
    public static final String ORG_ISENABLE_MSG = "用户所在部门不可用";
    public static final int ROLE_ISENABLE_CODE = 13;
    public static final String ROLE_ISENABLE_MSG = "用户所属角色不可用";
    public static final String MESSAGE_NOT_NULL = "信息不可为空";
    public static final int VERIFICATION_CODE_ISENABLE_CODE = 15;
    public static final String VERIFICATION_CODE_ISENABLE_MSG = "手机验证码不正确";
    public static final int VERIFICATION_CODE_GET_CODE = 16;
    public static final String VERIFICATION_CODE_GET_MSG = "请重新获取验证码";
    public static final String LLOGIN_LOCK = "连续登录失败已达5次，请稍后重试";
    public static final String RULE_INSERT_DUPLICATTED_TIME_TYPE_MSG = "该应用的及时性质量规则已存在，不可重复定义";
    public static final String FORMULA_NOT_NULL_MSG = "计算方式不能为空";
    public static final String PARSE_ERROR_INPUT_DATA = "输入内容部分为空或不能解析";
    public static final String INTIME_SET_INT = "及时性的不超过时间请设置为整数型";
    public static final String DATA_TYPE_NOT_KNOWN = "数据类型正在更新中,请更新完成之后再设置准确性规则";
    public static final String RULE_NOT_STANDARD = "所设置的规则不规范";
    public static final String SPLIT_KEY_VALUE = "♩♪♩♪♩♪♩♪";
    public static final String SPLIT_MULTI_CONDITION = "♫♬♫♬♫♬♫♬";
    public static final int RECORD_THE_EXISTING_CODE = 17;//记录已存在

}
