package com.sunwin.swismp.constant;

public enum InterfaceEnum {

    SYSFUNCTION("系统设置",new String[]{"com.sunwin.swismp.controller.sysfunction"},3),
    OTHER("其他",new String[]{"-1"},10);

    private String interfaceName;//接口名称
    private String[] interfaceClasses;//接口包含类
    private Integer interfaceId;//接口id

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public String[] getInterfaceClasses() {
        return interfaceClasses;
    }

    public void setInterfaceClasses(String[] interfaceClasses) {
        this.interfaceClasses = interfaceClasses;
    }

    public Integer getInterfaceId() {
        return interfaceId;
    }

    public void setInterfaceId(Integer interfaceId) {
        this.interfaceId = interfaceId;
    }

    InterfaceEnum(String interfaceName, String[] interfaceClasses, Integer interfaceId) {
        this.interfaceName = interfaceName;
        this.interfaceClasses = interfaceClasses;
        this.interfaceId = interfaceId;
    }
    //判断接口属于哪一个模块
    public static InterfaceEnum testInterfaceEnum(String className){
        for (InterfaceEnum interfaceEnum:InterfaceEnum.values()){
            for (String mem:interfaceEnum.getInterfaceClasses()){
                if (className.startsWith(mem)){
                    return interfaceEnum;
                }
            }
        }
        return InterfaceEnum.OTHER;
    }
    //根据名称 获取id
    public static Integer getIdByName(String name){
        for (InterfaceEnum interfaceEnum:InterfaceEnum.values()){
            if (name.equals(interfaceEnum.getInterfaceName())||interfaceEnum.getInterfaceName().contains(name)){
                return interfaceEnum.interfaceId;
            }
        }
        return null;
    }



}
