package com.sunwin.swismp.config.log;

import ch.qos.logback.classic.pattern.ClassicConverter;
import ch.qos.logback.classic.spi.ILoggingEvent;

public class LogMethodsConfig extends ClassicConverter {
    @Override
    public String convert(ILoggingEvent event) {
        StackTraceElement[] callerData = event.getCallerData();
        String methodName = callerData[1].getMethodName();
        if(methodName.equals("resolveException")){
            return "";
        }
        return "|"+methodName;
//    }
//        StackTraceElement[] callerData = event.getCallerData();
//        return callerData[1].getMethodName();
    }
}
