package com.sunwin.swismp.config.log;

import ch.qos.logback.classic.pattern.ClassicConverter;
import ch.qos.logback.classic.spi.ILoggingEvent;
import com.sunwin.swismp.config.threadlocal.StartTimeContextHolder;

import java.util.Date;

public class ResponseTimeConfig extends ClassicConverter {
    @Override
    public String convert(ILoggingEvent event) {
        Long reponseTime=0L;
        Long startTime=new Date().getTime();
        try {
            Long endTime=new Date().getTime();
            if (StartTimeContextHolder.getStartTime()!=null){
                startTime=StartTimeContextHolder.getStartTime();
            }
            reponseTime=(endTime-startTime);
        }catch (Exception e){
            System.out.println("响应时间获取失败");
            e.printStackTrace();
        }
        return String.valueOf(reponseTime);
    }
}
