package com.sunwin.swismp.config.threadlocal;


import com.sunwin.swismp.constant.DateParam;

public class DateContextHolder {

    private static final ThreadLocal<DateParam> contextHolder = new ThreadLocal<>();

    public static final DateParam dateParam = new DateParam(); //默认时间参数

    static {
        contextHolder.set(dateParam);
    }

    public static void setDateParam(DateParam dateParam) {
        contextHolder.set(dateParam);
    }

    public static DateParam getDateParam() {
        return contextHolder.get();
    }

    public static void clearDateParam() {
        contextHolder.remove();
    }
}
