package com.sunwin.swismp.config.threadlocal;

/**
 * 保存一个起始时间
 */

public class StartTimeContextHolder {
    private static final ThreadLocal<Long> contextHolder = new ThreadLocal<>();
    public static void setStartTime(Long startTime) {
        contextHolder.set(startTime);
    }

    public static Long getStartTime() {
        return contextHolder.get();
    }

    public static void clearStartTime() {
        contextHolder.remove();
    }
}
