package com.sunwin.swismp.constant;

/**
* @Description: restfule接口返回值httpCode
* @Author: zc
* @CreateDate: 2019/2/25 16:43
* @Remark:
* @Version: 1.0
*/
public class HttpResultParam {

    public static final int FAIL_CODE = 0;//请求失败

    public static final int SUCCESS_CODE = 1; //请求成功

    public static final int NO_DATA_CODE = 2;//查询无数据

    public static final int LOGIN_PASSWORD_CODE = 3; //密码错误

    public static final int ACCOUNT_ISENABLE_CODE = 4; //用户不可用

    public static final int TELEPHONE_EXISTED_CODE = 5;//手机号已经存在

    public static final int LOGIN_OTHER_PLACE_CODE = 6;//其他地点登录

    public static final int ACCOUNT_IS_OUTOFDATE_CODE = 7;//账号过期

    public static final int VERIFICATION_CODE_ERROR_CODE = 8;//验证码错误

    public static final int ACCOUNT_NOT_EXISTED_CODE = 9;//账户不存在

    public static final int VERIFICATION_CODE_NOT_EXISTED = 10; //验证码不存在

    public static final int TELEPHONE_ERROR = 11; //电话号码输入错误

    public static final int USER_NAME_ERROR = 12;//用户名错误

    public static final int USER_NAME_EXISTED = 13;//用户名已存在


    public static final String SUCCESS_SUBMIT_MSG = "配置成功";

    public static final String FAIL_SUBMIT_MSG = "配置失败";

    public static final String FAIL_REMOVE_MSG = "移除失败";
    public static final String SUCCESS_MSG = "请求成功";

    public static final String FAIL_MSG = "请求失败";

    public static final String NO_DATA_MSG = "查无数据";

    public static final String LOGIN_PASSWORD_MSG = "登录密码错误";

    public static final String ACCOUNT_ISENABLE_MSG = "该账户不可用";

    public static final String TELEPHONE_EXISTED_MSG = "该电话号码已存在";

    public static final String LOGIN_OTHER_PLACE_MSG = "该账户已在其他地点登录";

    public static final String ACCOUNT_IS_OUTOFDATE_MSG = "该账户已过期";

    public static final String VERIFICATION_CODE_ERROR_MSG = "验证码错误";

    public static final String VERIFICATION_CODE_NOT_EXISTED_MSG = "验证码已过期";

    public static final String ACCOUNT_NOT_EXISTED_MSG = "用户不存在";

    public static final String TELEPHONE_ERROR_MSG = "手机号码错误";

    public static final String USER_NAME_ERROR_MSG = "用户名错误";

    public static final String USER_NAME_EXISTED_MSG = "用户名已存在";

    public static final String REGISTER_SUCCESS_MSG = "注册成功，请登录";

    public static final String REGISTER_FAIL_MSG = "注册失败";

    public static final Integer LOGIN_TIMEOUT = 3600; //登录会话持有时间，s

    public static final Integer VERIFICATION_CODE_TIMEOUT = 10;// 验证码过期时间，分钟


}
