package com.sunwin.swismp.bean.sysfunction;

import java.io.Serializable;

public class SysOperationLog implements Serializable {

    private Integer operationId;

    private String operationName;

    private String operationContent;

    private String operationTime;

    private String operationUser;

    private String operator;

    private String operationModule;

    public SysOperationLog() {
    }

    public SysOperationLog(String operationUser, String operator) {
        this.operationUser = operationUser;
        this.operator = operator;
    }

    public SysOperationLog(String operationName, String operationTime, String operationUser, String operator) {
        this.operationName = operationName;
        this.operationTime = operationTime;
        this.operationUser = operationUser;
        this.operator = operator;
    }

    public SysOperationLog(String operationName, String operationTime, String operationUser) {
        this.operationName = operationName;
        this.operationTime = operationTime;
        this.operationUser = operationUser;
    }

    public String getOperationModule() {
        return operationModule;
    }

    public void setOperationModule(String operationModule) {
        this.operationModule = operationModule;
    }

    public Integer getOperationId() {
        return operationId;
    }

    public void setOperationId(Integer operationId) {
        this.operationId = operationId;
    }

    public String getOperationName() {
        return operationName;
    }

    public void setOperationName(String operationName) {
        this.operationName = operationName == null ? null : operationName.trim();
    }

    public String getOperationContent() {
        return operationContent;
    }

    public void setOperationContent(String operationContent) {
        this.operationContent = operationContent == null ? null : operationContent.trim();
    }

    public String getOperationTime() {
        return operationTime;
    }

    public void setOperationTime(String operationTime) {
        this.operationTime = operationTime;
    }

    public String getOperationUser() {
        return operationUser;
    }

    public void setOperationUser(String operationUser) {
        this.operationUser = operationUser == null ? null : operationUser.trim();
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator == null ? null : operator.trim();
    }
}