package com.sunwin.swismp.bean.sysfunction;

import java.io.Serializable;

/**
 * @Description : 系统权限内容
 * @Author : yangdong
 * @Date : 2020/3/10 9:22
*/
public class SysRoleMenu implements Serializable {
    //权限模块id
    private Integer rolemenuId;
    //模块id
    private Integer menuId;
    //权限id
    private Integer roleId;
    //是否可用
    private Integer isenable;
    //备注
    private String bz;

    public SysRoleMenu() {
    }

    public SysRoleMenu(Integer roleId, Integer menuId) {
        this.roleId = roleId;
        this.menuId = menuId;
        this.isenable = this.isenable == null? 1:this.isenable;
    }

    public SysRoleMenu(Integer rolemenuId, Integer roleId, Integer menuId) {
        this.rolemenuId = rolemenuId;
        this.roleId = roleId;
        this.menuId = menuId;
    }

    public Integer getRolemenuId() {
        return rolemenuId;
    }

    public void setRolemenuId(Integer rolemenuId) {
        this.rolemenuId = rolemenuId;
    }

    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public Integer getIsenable() {
        return isenable;
    }

    public void setIsenable(Integer isenable) {
        this.isenable = isenable;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }
}