package com.sunwin.swismp.dto.sysfunction;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sunwin.swismp.bean.sysfunction.SysUser;

import java.io.Serializable;
import java.util.Date;

/**
* @Description:系统用户信息查询结果
* @Author: zc
* @CreateDate: 2018/11/16 13:13
* @Remark:
* @Version: 1.0
*/
public class SysUserManage extends SysUser implements Serializable {

    //部门名称
    private String orgName;

    //角色名称
    private String roleName;

    //最近一次登录名称
    private Date lastLoginTime;

    //是否启用
    private String isEnableStr;

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    public Date getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(Date lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    public String getIsEnableStr() {
        return isEnableStr;
    }

    public void setIsEnableStr(String isEnableStr) {
        this.isEnableStr = isEnableStr;
    }
}
