package com.sunwin.swismp.service.sysfunction;


import com.sunwin.swismp.bean.TreeNode;
import com.sunwin.swismp.dto.PageResult;
import com.sunwin.swismp.dto.sysfunction.SysOrgDTO;

import java.util.List;

/**
 * Copyright (c) 12/20/2021 All Rights Reserved By SUNWIN
 * <p>
 * Package: com.sunwin.swurtmp.service.sysfunction
 * FileName: SysOrgService
 *
 * @author duanmin
 * @description
 * @created 2/11/2022 - 5:25 PM
 * @last Modified
 * @history
 */
public interface SysOrgService {
    Integer addSysOrg(SysOrgDTO sysOrgDTO);

    Integer delSysOrg(Integer id);

    Integer editSysOrg(SysOrgDTO sysOrgDTO);

    Integer enableSysOrg(Integer sysOrgId, Integer enabled);

    PageResult querySysOrgPage(String parentOrgId, String orgUserNum, String isEnabled, String keywords,
                               String beginUpdateTime, String endUpdateTime, Integer pageNum, Integer pageSize);

    List<TreeNode> sysOrgTree();

    SysOrgDTO viewSysOrg(String sysOrgId);
}
