package com.sunwin.swismp.service.sysfunction;



import com.sunwin.swismp.bean.sysfunction.SysRole;
import com.sunwin.swismp.dto.HttpResult;
import com.sunwin.swismp.dto.sysfunction.SysRoleDTO;

import java.util.List;

public interface SysRoleService {


    /**
     * 删除角色 根据id
     * @param roleId
     * @return
     */
    int deleteRoleByRoleId(Integer roleId);

    /**
     * 查询所有角色
     * @return
     */
    List<SysRole> selectAll();

    /**
     *  分页-条件查询
     * @param roleName
     * @param roleCode
     * @param isEnable
     * @param page
     * @param size
     * @return
     */
     List<SysRoleDTO> selectPage(String roleName, String roleCode, Integer isEnable, String keywords, Integer page, Integer size);
     Integer selectPageCount(String roleName, String roleCode, Integer isEnable,String keywords);

    /**
     * 保存角色信息（新增、修改）
     * @param sysRole
     * @return
     */
    HttpResult roleSave(SysRole sysRole);

    /**
     * 修改角色菜单对应关系
     * @param roleId
     * @param menuIds
     * @return
     */
     boolean updateRoleMenu(Integer roleId, List<Integer> menuIds);

    List<SysRole> selectAllByRoleCode(String roleCode);
}
