package com.sunwin.swismp.constant;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;

/**
 * <br>
 * Copyright (c) 2019-08-02 All Rights Reserved By SUNWIN<br>
 * <br>
 * Package: com.sunwin.swbd.dto <br>
 * FileName: ChartsParam <br>
 * <br>
 * 图表参数对象
 *
 * @created 2019-08-02 16:12
 * @last Modified
 * @history
 */
@JsonInclude(JsonInclude.Include.NON_NULL) //隐藏为空字段
public class ChartsParam implements Serializable {

    private String legend;

    private String xAxis;

    private String xAxis2;

    private Double xAxis3;

    private String xAxis4;

    private Double yAxis;

    private Integer yAxis2;

    private Double yAxis3;

    private String title;
    private Integer yAxis4;
    private Long yAxis5;

    private String param01;
    private String param02;
    private String param03;
    private String param04;

    private Integer paramNum01;
    private Integer paramNum02;
    private Integer paramNum03;
    private Integer paramNum04;
    private Integer paramNum05;
    private Integer paramNum06;

    private Double paramDou01;
    private Double paramDou02;
    private Double paramDou03;
    private Double paramDou04;
    private Double paramDou05;
    private Double paramDou06;

    private Long paramLong01;
    private Long paramLong02;
    private Long paramLong03;
    private Long paramLong04;
    private Long paramLong05;
    private Long paramLong06;

    public Long getyAxis5() {
        return yAxis5;
    }

    public void setyAxis5(Long yAxis5) {
        this.yAxis5 = yAxis5;
    }

    public String getxAxis4() {
        return xAxis4;
    }

    public void setxAxis4(String xAxis4) {
        this.xAxis4 = xAxis4;
    }

    public Integer getyAxis4() {
        return yAxis4;
    }

    public void setyAxis4(Integer yAxis4) {
        this.yAxis4 = yAxis4;
    }

    public Double getxAxis3() {
        return xAxis3;
    }

    public void setxAxis3(Double xAxis3) {
        this.xAxis3 = xAxis3;
    }

    public Double getyAxis3() {
        return yAxis3;
    }

    public void setyAxis3(Double yAxis3) {
        this.yAxis3 = yAxis3;
    }

    public String getLegend() {
        return legend;
    }

    public void setLegend(String legend) {
        this.legend = legend;
    }

    public String getxAxis() {
        return xAxis;
    }

    public void setxAxis(String xAxis) {
        this.xAxis = xAxis;
    }

    public String getxAxis2() {
        return xAxis2;
    }

    public void setxAxis2(String xAxis2) {
        this.xAxis2 = xAxis2;
    }

    public Double getyAxis() {
        return yAxis;
    }

    public void setyAxis(Double yAxis) {
        this.yAxis = yAxis;
    }

    public Integer getyAxis2() {
        return yAxis2;
    }

    public void setyAxis2(Integer yAxis2) {
        this.yAxis2 = yAxis2;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getParam01() {
        return param01;
    }

    public void setParam01(String param01) {
        this.param01 = param01;
    }

    public String getParam02() {
        return param02;
    }

    public void setParam02(String param02) {
        this.param02 = param02;
    }

    public String getParam03() {
        return param03;
    }

    public void setParam03(String param03) {
        this.param03 = param03;
    }

    public String getParam04() {
        return param04;
    }

    public void setParam04(String param04) {
        this.param04 = param04;
    }

    public Integer getParamNum01() {
        return paramNum01;
    }

    public void setParamNum01(Integer paramNum01) {
        this.paramNum01 = paramNum01;
    }

    public Integer getParamNum02() {
        return paramNum02;
    }

    public void setParamNum02(Integer paramNum02) {
        this.paramNum02 = paramNum02;
    }

    public Integer getParamNum03() {
        return paramNum03;
    }

    public void setParamNum03(Integer paramNum03) {
        this.paramNum03 = paramNum03;
    }

    public Integer getParamNum04() {
        return paramNum04;
    }

    public void setParamNum04(Integer paramNum04) {
        this.paramNum04 = paramNum04;
    }

    public Integer getParamNum06() {
        return paramNum06;
    }

    public void setParamNum06(Integer paramNum06) {
        this.paramNum06 = paramNum06;
    }

    public Double getParamDou01() {
        return paramDou01;
    }

    public void setParamDou01(Double paramDou01) {
        this.paramDou01 = paramDou01;
    }

    public Double getParamDou02() {
        return paramDou02;
    }

    public void setParamDou02(Double paramDou02) {
        this.paramDou02 = paramDou02;
    }

    public Double getParamDou03() {
        return paramDou03;
    }

    public void setParamDou03(Double paramDou03) {
        this.paramDou03 = paramDou03;
    }

    public Double getParamDou04() {
        return paramDou04;
    }

    public void setParamDou04(Double paramDou04) {
        this.paramDou04 = paramDou04;
    }

    public Double getParamDou05() {
        return paramDou05;
    }

    public void setParamDou05(Double paramDou05) {
        this.paramDou05 = paramDou05;
    }

    public Long getParamLong01() {
        return paramLong01;
    }

    public void setParamLong01(Long paramLong01) {
        this.paramLong01 = paramLong01;
    }

    public Long getParamLong02() {
        return paramLong02;
    }

    public void setParamLong02(Long paramLong02) {
        this.paramLong02 = paramLong02;
    }

    public Long getParamLong03() {
        return paramLong03;
    }

    public Long getParamLong04() {
        return paramLong04;
    }

    public void setParamLong04(Long paramLong04) {
        this.paramLong04 = paramLong04;
    }

    public void setParamLong03(Long paramLong03) {
        this.paramLong03 = paramLong03;
    }

    public Double getParamDou06() {
        return paramDou06;
    }

    public void setParamDou06(Double paramDou06) {
        this.paramDou06 = paramDou06;
    }

    public Integer getParamNum05() {
        return paramNum05;
    }

    public void setParamNum05(Integer paramNum05) {
        this.paramNum05 = paramNum05;
    }

    public Long getParamLong05() {
        return paramLong05;
    }

    public void setParamLong05(Long paramLong05) {
        this.paramLong05 = paramLong05;
    }

    public Long getParamLong06() {
        return paramLong06;
    }

    public void setParamLong06(Long paramLong06) {
        this.paramLong06 = paramLong06;
    }
}
