package com.sunwin.swismp.dto;

import java.io.Serializable;
import java.util.List;


/**
 * 图表返回值
 */
public class ChartsResult implements Serializable {
    /**
     * 图例
     */
    private List legend;
    /**
     *  图例单位
     */
    private List unit;

    /**
     * 维度
     */
    private List category;

    /**
     * 值
     */
    private List data;

    /**
     * 图表标题
     */
    private String title;

    public ChartsResult(List legend, List category, List data, String title) {
        this.legend = legend;
        this.category = category;
        this.data = data;
        this.title = title;
    }

    public ChartsResult(List legend, List category, List data) {
        this.legend = legend;
        this.category = category;
        this.data = data;
    }

    public ChartsResult(List category, List data) {
        this.category = category;
        this.data = data;
    }

    public ChartsResult(List legend, List unit, List category, List data, String title) {
        this.legend = legend;
        this.unit = unit;
        this.category = category;
        this.data = data;
        this.title = title;
    }
    public ChartsResult() {
    }

    public List getUnit() {
        return unit;
    }

    public void setUnit(List unit) {
        this.unit = unit;
    }

    public List getLegend() {
        return legend;
    }

    public void setLegend(List legend) {
        this.legend = legend;
    }

    public List getCategory() {
        return category;
    }

    public void setCategory(List category) {
        this.category = category;
    }

    public List getData() {
        return data;
    }

    public void setData(List data) {
        this.data = data;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
}
