package com.sunwin.swismp.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @BelongsProject: sentiment
 * @BelongsPackage: com.sunwin.sentiment.dto
 * @Author: qiaoke
 * @CreateTime: 2019-05-10 16:44
 * @Description: 公共分页对象集
 */
public class PageResult<T> implements Serializable {

    public PageResult() {
    }

    public PageResult(Long count, List<T> data) {
        this.count = count;
        Data = data;
    }

    /** 总数，用于分页*/
    private Long count;

    private List<T> Data;//数据集

    public Long getCount() {
        return count;
    }

    public void setCount(Long count) {
        this.count = count;
    }

    public List<T> getData() {
        return Data;
    }

    public void setData(List<T> data) {
        Data = data;
    }
}
